import React, { Component } from 'react';
import { connect } from 'dva';
import { withRouter } from 'dva/router';
import ContractInfo from '../TaskDetail/ContractInfo';
import {
  Modal
} from "antd";
@connect(state => ({
  global: state.global
}))
@withRouter
export default class Uninsured extends Component {
  constructor(props, context) {
    super(props, context);
    this.state = {

    }
  }


  componentWillReceiveProps(props) {

  }
  componentDidMount() {

  }
  render() {

    return (
      <Modal
        title={`${this.props.taskName}-关联合同`}
        // visible={!!this.props.comTaskId}
        visible={this.props.visible}
        footer={null}
        width={'80%'}
        onCancel={this.props.onCancel}
      >
        <ContractInfo comTaskId={this.props.comTaskId}  onUpdate={this.props.updateTable} />
      </Modal>
    );
  }
}
